Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Class CannedBinaryTokenStream.BinaryTermAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.analysis.CannedBinaryTokenStream.BinaryTermAttributeImpl

All Implemented Interfaces:
  Cloneable, CannedBinaryTokenStream.BinaryTermAttribute, TermToBytesRefAttribute, Attribute

Enclosing class:
  CannedBinaryTokenStream

    public static final class CannedBinaryTokenStream.BinaryTermAttributeImpl

extends AttributeImpl
implements CannedBinaryTokenStream.BinaryTermAttribute, TermToBytesRefAttribute

Implementation for `CannedBinaryTokenStream.BinaryTermAttribute`.

Constructor Summary
`CannedBinaryTokenStream.BinaryTermAttributeImpl()`

Method Summary
`void` | `clear()`
`CannedBinaryTokenStream.BinaryTermAttributeImpl` | `clone()`
`void` | `copyTo(AttributeImpl target)`
`boolean` | `equals(Object other)`
`int` | `fillBytesRef()`
`BytesRef` | `getBytesRef()`
`int` | `hashCode()`
`void` | `setBytesRef(BytesRef bytes)` Set the current binary value.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`reflectAsString, reflectWith`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CannedBinaryTokenStream.BinaryTermAttributeImpl

    public CannedBinaryTokenStream.BinaryTermAttributeImpl()

Method Detail

### fillBytesRef

    public int fillBytesRef()

  Specified by:
    `fillBytesRef` in interface `TermToBytesRefAttribute`

### getBytesRef

    public BytesRef getBytesRef()

  Specified by:
    `getBytesRef` in interface `TermToBytesRefAttribute`

### setBytesRef

    public void setBytesRef(BytesRef bytes)

  Description copied from interface: `CannedBinaryTokenStream.BinaryTermAttribute`
  Set the current binary value.

  Specified by:
    `setBytesRef` in interface `CannedBinaryTokenStream.BinaryTermAttribute`

### clear

    public void clear()

  Specified by:
    `clear` in class `AttributeImpl`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### copyTo

    public void copyTo(AttributeImpl target)

  Specified by:
    `copyTo` in class `AttributeImpl`

### clone

    public CannedBinaryTokenStream.BinaryTermAttributeImpl clone()

  Overrides:
    `clone` in class `AttributeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.